#!/usr/local/bin/php
<?php  
/**
 * $Horde: hermes/scripts/purge.php,v 1.6 2005/01/03 14:34:56 jan Exp $
 *
 * Copyright 2002-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('HERMES_BASE', dirname(__FILE__) . '/..');
@define('HORDE_BASE', dirname(__FILE__) . '/../..');
require_once HORDE_BASE . '/lib/core.php';

// Registry
$registry = &Registry::singleton();
$registry->pushApp('hermes', false);

// Hermes base libraries.
require_once HERMES_BASE . '/lib/Hermes.php';
$hermes = &Hermes::getDriver();

printf(_("Deleting data that was exported/billed more than %s days ago.\n"), $conf['time']['days_to_keep']);
$hermes->purge();
